seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2020/02/28, 05:55:52


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: KDE SC 4.14.3 available in kdenext  (Read 5948 times)

0 Members and 1 Guest are viewing this topic.

Offline Santa

  • User
  • Posts: 261
  • siduction's KDE packager
KDE SC 4.14.3 available in kdenext
« on: 2014/12/05, 11:29:08 »
Hello,


yesterday the KDE SC has been updated in kdenext to its latest version 4.14.3.
Sometimes standing for what you believe means standing alone.

Offline GoinEasy9

  • User
  • Posts: 461
Re: KDE SC 4.14.3 available in kdenext
« Reply #1 on: 2014/12/05, 18:22:22 »
Thanks Santa, looking forward to du.
Linux Counter number 348347

Offline Lanzi

  • User
  • Posts: 1.622
Re: KDE SC 4.14.3 available in kdenext
« Reply #2 on: 2014/12/05, 22:59:53 »
Thanks!!!

Offline jaegermeister

  • User
  • Posts: 222
Re: KDE SC 4.14.3 available in kdenext
« Reply #3 on: 2014/12/06, 15:30:12 »
Which is the current address of kdenext repo?
It is not present in manual: http://manual.siduction.org/sys-admin-apt#apt-cook
---------------------------------------
SI VIS PACEM PARA BELLVM
---------------------------------------

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.395
Re: KDE SC 4.14.3 available in kdenext
« Reply #4 on: 2014/12/06, 15:54:11 »

deb http://packages.siduction.org/kdenext/ unstable main
deb http://packages.siduction.org/kdenext/ experimental main
deb http://packages.siduction.org/kdenext/ experimental-snapshots main


yesterdays update is still in experimental-snapshots main right now


greetz
devil

Offline Santa

  • User
  • Posts: 261
  • siduction's KDE packager
Re: KDE SC 4.14.3 available in kdenext
« Reply #5 on: 2014/12/06, 16:26:12 »

Just a friendly warning:

deb http://packages.siduction.org/kdenext/ experimental main


This one should NOT be used under any circumstance and any complaint about packages there will go directly to my trash can. The other 2 are the ones meant to be used by people, including myself.
Sometimes standing for what you believe means standing alone.

Offline jaegermeister

  • User
  • Posts: 222
Re: KDE SC 4.14.3 available in kdenext
« Reply #6 on: 2014/12/06, 17:20:43 »
Thank you all!
---------------------------------------
SI VIS PACEM PARA BELLVM
---------------------------------------

Offline freedom

  • User
  • Posts: 12
Re: KDE SC 4.14.3 available in kdenext
« Reply #7 on: 2015/01/01, 23:54:21 »
Hi all! First post here and already a trouble  :-\
After update from kdenext repo kmail and kontact are removed and cannot be installed.
 kmail : Depends: libkontactinterface4 (>= 4:4.13.0) but it is not going to be installed

And real question here is, how do I downgrade to KDE 4.12 ?
TY

Offline GoinEasy9

  • User
  • Posts: 461
Re: KDE SC 4.14.3 available in kdenext
« Reply #8 on: 2015/01/02, 00:55:15 »
$ apt-cache policy libkontactinterface4
libkontactinterface4:
  Installed: 4:4.14.1-90r0
  Candidate: 4:4.14.1-90r0
  Version table:
 *** 4:4.14.1-90r0 0
        500 http://mirror.lug.udel.edu/pub/siduction/kdenext/ unstable/main amd64 Packages
        100 /var/lib/dpkg/status

Do you have the correct repositories enabled for kdenext?

This is my line for the repo: #deb ftp://ftp.gtlib.gatech.edu/pub/siduction/kdenext unstable main

Just a guess, but, the package is there.
Linux Counter number 348347

Offline ayla

  • User
  • Posts: 1.700
Re: KDE SC 4.14.3 available in kdenext
« Reply #9 on: 2015/01/02, 04:41:27 »
hmm...

made a test on my system with just the base, extra and fixes repos until now, by adding kdenext to the sources.list:

Code: [Select]
apt-get update....
apt-get dist-upgrade -s
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages will be REMOVED:
  akregator kaddressbook kdepim kjots kmail knode knotes kontact korganizer libeventviews4 libincidenceeditorsng4 libksieveui4 libmailcommon4
  libmailimporter4 libmessagecomposer4 libmessageviewer4 libnoteshared4 libpimcommon4 libtemplateparser4
...

LANG=C apt-cache policy libkontactinterface4
libkontactinterface4:
  Installed: (none)
  Candidate: 4:4.14.1-90r0
  Version table:
     4:4.14.1-90r0 0
        500 http://packages.siduction.org/kdenext/ unstable/main amd64 Packages

but:

Code: [Select]
LANG=C apt-get install -s kmail
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  akonadiconsole akregator blogilo kaddressbook kalarm kde-l10n-de kde-l10n-engb kde-l10n-it kde-l10n-pl kde-l10n-ptbr kde-l10n-ro kdelibs-bin
  kdelibs5-data kdelibs5-plugins kdepim-kresources kdoctools kjots kleopatra knode knotes kontact korganizer libkcmutils4 libkde3support4
  libkdeclarative5 libkdecore5 libkdepim4 libkdesu5 libkdeui5 libkdewebkit5 libkdnssd4 libkemoticons4 libkfile4 libkhtml5 libkidletime4
  libkimproxy4 libkio5 libkjsapi4 libkjsembed4 libkleo4 libkmediaplayer4 libknewstuff2-4 libknewstuff3-4 libknotifyconfig4 libkntlm4

  libkontactinterface4

libkparts4 libkpgp4 libkprintutils4 libkpty4 libkrosscore4 libksieve4 libktexteditor4 libkunitconversion4
  libmessagecore4 libmessagelist4 libmimelib4 libnepomuk4 libnepomukquery4a libnepomukutils4 libplasma3 libsolid4 libthreadweaver4
Suggested packages:
  kttsd jovie kde-standard spamassassin bogofilter annoyance-filter spambayes bsfilter crm114 clamav f-prot-installer procmail gnokii
  kdepim-groupware hspell media-player-info
The following packages will be REMOVED:
  libeventviews4 libincidenceeditorsng4 libkontactinterface4a libksieveui4 libmailcommon4 libmailimporter4 libmessagecomposer4
  libmessageviewer4 libnoteshared4 libpimcommon4 libtemplateparser4
The following NEW packages will be installed:
  libkimproxy4 libkontactinterface4 libmimelib4
The following packages will be upgraded:
  akonadiconsole akregator blogilo kaddressbook kalarm kde-l10n-de kde-l10n-engb kde-l10n-it kde-l10n-pl kde-l10n-ptbr kde-l10n-ro kdelibs-bin
  kdelibs5-data kdelibs5-plugins kdepim-kresources kdoctools kjots kleopatra kmail knode knotes kontact korganizer libkcmutils4
  libkde3support4 libkdeclarative5 libkdecore5 libkdepim4 libkdesu5 libkdeui5 libkdewebkit5 libkdnssd4 libkemoticons4 libkfile4 libkhtml5
  libkidletime4 libkio5 libkjsapi4 libkjsembed4 libkleo4 libkmediaplayer4 libknewstuff2-4 libknewstuff3-4 libknotifyconfig4 libkntlm4
  libkparts4 libkpgp4 libkprintutils4 libkpty4 libkrosscore4 libksieve4 libktexteditor4 libkunitconversion4 libmessagecore4 libmessagelist4
  libnepomuk4 libnepomukquery4a libnepomukutils4 libplasma3 libsolid4 libthreadweaver4
61 upgraded, 3 newly installed, 11 to remove and 131 not upgraded.
Inst libknotifyconfig4 [4:4.14.2-4] (4:4.14.3-siduction1 packages.siduction.org [amd64]) []
Inst libplasma3 [4:4.14.2-4] (4:4.14.3-siduction1 packages.siduction.org [amd64]) []
Inst libknewstuff3-4 [4:4.14.2-4] (4:4.14.3-siduction1 packages.siduction.org [amd64]) []
Inst libknewstuff2-4 [4:4.14.2-4] (4:4.14.3-siduction1 packages.siduction.org [amd64]) []
Inst libkunitconversion4 [4:4.14.2-4] (4:4.14.3-siduction1 packages.siduction.org [amd64]) []
Inst kdelibs5-plugins [4:4.14.2-4] (4:4.14.3-siduction1 packages.siduction.org [amd64]) []
Inst libkhtml5 [4:4.14.2-4] (4:4.14.3-siduction1 packages.siduction.org [amd64]) []
Inst libktexteditor4 [4:4.14.2-4] (4:4.14.3-siduction1 packages.siduction.org [amd64]) []
Inst libkprintutils4 [4:4.14.2-4] (4:4.14.3-siduction1 packages.siduction.org [amd64]) []
Inst libkmediaplayer4 [4:4.14.2-4] (4:4.14.3-siduction1 packages.siduction.org [amd64]) []
Inst libkdewebkit5 [4:4.14.2-4] (4:4.14.3-siduction1 packages.siduction.org [amd64]) []
Inst libkde3support4 [4:4.14.2-4] (4:4.14.3-siduction1 packages.siduction.org [amd64]) []
Inst libkparts4 [4:4.14.2-4] (4:4.14.3-siduction1 packages.siduction.org [amd64]) []
Inst libkfile4 [4:4.14.2-4] (4:4.14.3-siduction1 packages.siduction.org [amd64]) []
Inst libkemoticons4 [4:4.14.2-4] (4:4.14.3-siduction1 packages.siduction.org [amd64]) []
Inst kdoctools [4:4.14.2-4] (4:4.14.3-siduction1 packages.siduction.org [amd64]) []
Inst kdelibs-bin [4:4.14.2-4] (4:4.14.3-siduction1 packages.siduction.org [amd64]) []
Inst libkio5 [4:4.14.2-4] (4:4.14.3-siduction1 packages.siduction.org [amd64]) []
Inst libsolid4 [4:4.14.2-4] (4:4.14.3-siduction1 packages.siduction.org [amd64]) []
Inst libkdesu5 [4:4.14.2-4] (4:4.14.3-siduction1 packages.siduction.org [amd64]) []
Inst libkpty4 [4:4.14.2-4] (4:4.14.3-siduction1 packages.siduction.org [amd64]) []
Inst libnepomukutils4 [4:4.14.2-4] (4:4.14.3-siduction1 packages.siduction.org [amd64]) []
Inst libnepomukquery4a [4:4.14.2-4] (4:4.14.3-siduction1 packages.siduction.org [amd64]) []
Inst libnepomuk4 [4:4.14.2-4] (4:4.14.3-siduction1 packages.siduction.org [amd64]) []
Inst libkjsembed4 [4:4.14.2-4] (4:4.14.3-siduction1 packages.siduction.org [amd64]) []
Inst libkjsapi4 [4:4.14.2-4] (4:4.14.3-siduction1 packages.siduction.org [amd64]) []
Inst libkrosscore4 [4:4.14.2-4] (4:4.14.3-siduction1 packages.siduction.org [amd64]) []
Inst kdelibs5-data [4:4.14.2-4] (4:4.14.3-siduction1 packages.siduction.org [all]) []
Inst libkntlm4 [4:4.14.2-4] (4:4.14.3-siduction1 packages.siduction.org [amd64]) []
Inst libkidletime4 [4:4.14.2-4] (4:4.14.3-siduction1 packages.siduction.org [amd64]) []
Inst libkdnssd4 [4:4.14.2-4] (4:4.14.3-siduction1 packages.siduction.org [amd64]) []
Inst libkdeclarative5 [4:4.14.2-4] (4:4.14.3-siduction1 packages.siduction.org [amd64]) []
Inst libkcmutils4 [4:4.14.2-4] (4:4.14.3-siduction1 packages.siduction.org [amd64]) []
Inst libkdeui5 [4:4.14.2-4] (4:4.14.3-siduction1 packages.siduction.org [amd64]) []
Inst libthreadweaver4 [4:4.14.2-4] (4:4.14.3-siduction1 packages.siduction.org [amd64]) []
Inst libkdecore5 [4:4.14.2-4] (4:4.14.3-siduction1 packages.siduction.org [amd64])
Inst kde-l10n-ro [4:4.14.0-1] (4:4.14.3-90r0 packages.siduction.org [all])
Inst kde-l10n-ptbr [4:4.14.0-1] (4:4.14.3-90r0 packages.siduction.org [all])
Inst kde-l10n-pl [4:4.14.0-1] (4:4.14.3-90r0 packages.siduction.org [all])
Inst kde-l10n-it [4:4.14.0-1] (4:4.14.3-90r0 packages.siduction.org [all])
Inst kde-l10n-engb [4:4.14.0-1] (4:4.14.3-90r0 packages.siduction.org [all])
Inst kde-l10n-de [4:4.14.0-1] (4:4.14.3-90r0 packages.siduction.org [all])
Inst korganizer [4:4.14.2-2] (4:4.14.5+really4.4.11.1+l10n-0r2 packages.siduction.org [amd64]) []
Inst kontact [4:4.14.2-2] (4:4.14.5+really4.4.11.1+l10n-0r2 packages.siduction.org [amd64]) []
Inst knotes [4:4.14.2-2] (4:4.14.5+really4.4.11.1+l10n-0r2 packages.siduction.org [amd64]) []
Inst kjots [4:4.14.2-2] (4:4.14.5+really4.4.11.1+l10n-0r2 packages.siduction.org [amd64]) []
Inst kaddressbook [4:4.14.2-2] (4:4.14.5+really4.4.11.1+l10n-0r2 packages.siduction.org [amd64]) []
Inst akregator [4:4.14.2-2] (4:4.14.5+really4.4.11.1+l10n-0r2 packages.siduction.org [amd64]) []
Inst knode [4:4.14.2-2] (4:4.14.5+really4.4.11.1+l10n-0r2 packages.siduction.org [amd64]) []
Inst kmail [4:4.14.2-2] (4:4.14.5+really4.4.11.1+l10n-0r2 packages.siduction.org [amd64]) []
Remv libkontactinterface4a [4:4.14.2-2] []
Inst libkontactinterface4 (4:4.14.1-90r0 packages.siduction.org [amd64]) []
Remv libnoteshared4 [4:4.14.2-2] []
Remv libpimcommon4 [4:4.14.2-2] [libmessagecomposer4:amd64 libksieveui4:amd64 blogilo:amd64 libmailcommon4:amd64 libkdepim4:amd64 libmessageviewer4:amd64 libmessagecore4:amd64 libtemplateparser4:amd64 ]
Remv libmailimporter4 [4:4.14.2-2] [libmessagecomposer4:amd64 libksieveui4:amd64 blogilo:amd64 libmailcommon4:amd64 libkdepim4:amd64 libmessageviewer4:amd64 libmessagecore4:amd64 libtemplateparser4:amd64 ]
Remv libksieveui4 [4:4.14.2-2] [libmessagecomposer4:amd64 blogilo:amd64 libmailcommon4:amd64 libkdepim4:amd64 libmessageviewer4:amd64 libmessagecore4:amd64 libtemplateparser4:amd64 ]
Remv libincidenceeditorsng4 [4:4.14.2-2] [libmessagecomposer4:amd64 blogilo:amd64 libmailcommon4:amd64 libkdepim4:amd64 libmessageviewer4:amd64 libmessagecore4:amd64 libtemplateparser4:amd64 ]
Remv libeventviews4 [4:4.14.2-2] [libmessagecomposer4:amd64 blogilo:amd64 libmailcommon4:amd64 libkdepim4:amd64 libmessageviewer4:amd64 libmessagecore4:amd64 libtemplateparser4:amd64 ]
Inst kleopatra [4:4.14.2-2] (4:4.14.5+really4.4.11.1+l10n-0r2 packages.siduction.org [amd64]) [libmessagecomposer4:amd64 blogilo:amd64 libmailcommon4:amd64 libkdepim4:amd64 libmessageviewer4:amd64 libmessagecore4:amd64 libtemplateparser4:amd64 ]
Inst kdepim-kresources [4:4.14.2-2] (4:4.14.5+really4.4.11.1+l10n-0r2 packages.siduction.org [amd64]) [libmessagecomposer4:amd64 blogilo:amd64 libmailcommon4:amd64 libkdepim4:amd64 libmessageviewer4:amd64 libmessagecore4:amd64 libtemplateparser4:amd64 ]
Inst kalarm [4:4.14.2-2] (4:4.14.5+really4.4.11.1+l10n-0r2 packages.siduction.org [amd64]) [libmessagecomposer4:amd64 blogilo:amd64 libmailcommon4:amd64 libkdepim4:amd64 libmessageviewer4:amd64 libmessagecore4:amd64 libtemplateparser4:amd64 ]
Inst blogilo [4:4.14.2-2] (4:4.14.5+really4.4.11.1+l10n-0r2 packages.siduction.org [amd64]) [libmessagecomposer4:amd64 libmailcommon4:amd64 libkdepim4:amd64 libmessageviewer4:amd64 libmessagecore4:amd64 libtemplateparser4:amd64 ]
Inst akonadiconsole [4:4.14.2-2] (4:4.14.5+really4.4.11.1+l10n-0r2 packages.siduction.org [amd64]) [libmessagecomposer4:amd64 libmailcommon4:amd64 libkdepim4:amd64 libmessageviewer4:amd64 libmessagecore4:amd64 libtemplateparser4:amd64 ]
Inst libkdepim4 [4:4.14.2-2] (4:4.14.5+really4.4.11.1+l10n-0r2 packages.siduction.org [amd64]) [libmessagecomposer4:amd64 libmailcommon4:amd64 libmessageviewer4:amd64 libmessagecore4:amd64 libtemplateparser4:amd64 ]
Remv libmailcommon4 [4:4.14.2-2] [libmessagecomposer4:amd64 libmessageviewer4:amd64 libmessagecore4:amd64 libtemplateparser4:amd64 ]
Remv libmessagecomposer4 [4:4.14.2-2] [libmessageviewer4:amd64 libmessagecore4:amd64 libtemplateparser4:amd64 ]
Remv libtemplateparser4 [4:4.14.2-2] [libmessageviewer4:amd64 libmessagecore4:amd64 ]
Remv libmessageviewer4 [4:4.14.2-2] [libmessagecore4:amd64 ]
Inst libkpgp4 [4:4.14.2-2] (4:4.14.5+really4.4.11.1+l10n-0r2 packages.siduction.org [amd64]) [libmessagecore4:amd64 ]
Inst libkleo4 [4:4.14.2-2] (4:4.14.5+really4.4.11.1+l10n-0r2 packages.siduction.org [amd64]) [libmessagecore4:amd64 ]
Inst libksieve4 [4:4.14.2-2] (4:4.14.5+really4.4.11.1+l10n-0r2 packages.siduction.org [amd64]) [libmessagecore4:amd64 ]
Inst libmessagelist4 [4:4.14.2-2] (4:4.14.5+really4.4.11.1+l10n-0r2 packages.siduction.org [amd64]) [libmessagecore4:amd64 ]
Inst libmessagecore4 [4:4.14.2-2] (4:4.14.5+really4.4.11.1+l10n-0r2 packages.siduction.org [amd64]) []
Inst libmimelib4 (4:4.14.5+really4.4.11.1+l10n-0r2 packages.siduction.org [amd64]) []
Inst libkimproxy4 (4:4.14.3-siduction1 packages.siduction.org [amd64])
Conf libkdecore5 (4:4.14.3-siduction1 packages.siduction.org [amd64])
Conf libkdeui5 (4:4.14.3-siduction1 packages.siduction.org [amd64])
....
Conf kalarm (4:4.14.5+really4.4.11.1+l10n-0r2 packages.siduction.org [amd64])
Conf blogilo (4:4.14.5+really4.4.11.1+l10n-0r2 packages.siduction.org [amd64])
Conf akonadiconsole (4:4.14.5+really4.4.11.1+l10n-0r2 packages.siduction.org [amd64])
No Errors...

This was a -s test only, not a real d-u. According to this kmail seems to be installable, no idea why the d-u does not upgrade it and sorry, no time to test further atm.

I would suggest to just try an
Code: [Select]
apt-get install kmail before or after the d-u.

greets
ayla

EDIT:

With a little more time i did a real d-u now with kdenext repo activ. First I did an apt-get install kmail, because I did not want to loose all my emails when kmail gets removed during the d-u, then I did the real dist-upgrade. Nothing was removed, evrything is working fine as far as I can see until now.

Quote
LANG=C apt-cache policy kde-runtime
kde-runtime:
  Installed: 4:4.14.3-siduction1
  Candidate: 4:4.14.3-siduction1
  Version table:
 *** 4:4.14.3-siduction1 0
        500 http://packages.siduction.org/kdenext/ unstable/main amd64 Packages
        100 /var/lib/dpkg/status
     4:4.14.2-2 0
        500 http://http.debian.net/debian/ unstable/main amd64 Packages
cal@neskaya:~cal: LANG=C apt-cache policy kmail
kmail:
  Installed: 4:4.14.5+really4.4.11.1+l10n-0r2
  Candidate: 4:4.14.5+really4.4.11.1+l10n-0r2
  Version table:
 *** 4:4.14.5+really4.4.11.1+l10n-0r2 0
        500 http://packages.siduction.org/kdenext/ unstable/main amd64 Packages
        100 /var/lib/dpkg/status
     4:4.14.2-2 0
        500 http://http.debian.net/debian/ unstable/main amd64 Packages
« Last Edit: 2015/01/02, 20:21:57 by ayla »
Kernel: 4.18.11-towo.1-siduction-amd64 x86_64
Desktop: KDE Plasma 5.13.5
(mostly) kept current siduction "18.3.0 Patience"
HP EliteBook 8570p; MoBo: HP model: 17A7 v: KBC Version 42.35
Dual core  i5-3320M (-MT-MCP-)
Intel 3. Gen Graphics (Ivybridge) Driver:i915/ intel
 Wifi Intel Centrino N6205

Offline freedom

  • User
  • Posts: 12
Re: KDE SC 4.14.3 available in kdenext
« Reply #10 on: 2015/01/04, 15:06:40 »
Well, repo was
deb http://packages.siduction.org/kdenext unstable main
like devil said in some previous posts.

I tried apt-get install kmail and again get
The following packages have unmet dependencies:
 kmail : Depends: libkontactinterface4 (>= 4:4.13.0) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Then I changed repo to like @GoingEasy9,
update, upgrade,
but getting the same error message about unmet dependencies and broken packages  >:(

Is there an easy way to downgrade to 4.14.2 or anyone have another idea?
thanks

EDIT [source lists]
debian.list
# debian loadbalancer
deb http://http.debian.net/debian/ unstable main contrib non-free

# misc. siduction-lists
#deb http://packages.siduction.org/experimental unstable main
#deb-src http://packages.siduction.org/experimental unstable main

#deb http://packages.siduction.org/user unstable main
#deb-src http://packages.siduction.org/user unstable main

# official siduction-lists
deb http://packages.siduction.org/base unstable main
#deb-src http://packages.siduction.org/base unstable main

deb http://packages.siduction.org/extra unstable main
#deb-src http://packages.siduction.org/extra unstable main

deb http://packages.siduction.org/fixes unstable main
#deb-src http://packages.siduction.org/fixes unstable main

#deb http://packages.siduction.org/user unstable main contrib non-free
#deb-src http://packages.siduction.org/user unstable main contrib non-free


deb ftp://ftp.gtlib.gatech.edu/pub/siduction/kdenext unstable main

Maybe I need experimental or user or some other repo activated?  :-\
« Last Edit: 2015/01/04, 15:13:36 by freedom »

Offline ayla

  • User
  • Posts: 1.700
Re: KDE SC 4.14.3 available in kdenext
« Reply #11 on: 2015/01/04, 16:00:24 »
Quote
cat /etc/apt/sources.list.d/*
# debian loadbalancer
deb http://http.debian.net/debian/ unstable main contrib non-free
#deb-src http://http.debian.net/debian/ unstable main contrib non-free
# misc. siduction-lists
#deb http://packages.siduction.org/experimental unstable main
#deb-src http://packages.siduction.org/experimental unstable main

#deb http://packages.siduction.org/user unstable main
#deb-src http://packages.siduction.org/user unstable main

# official siduction-lists
deb http://packages.siduction.org/base unstable main
#deb-src http://packages.siduction.org/base unstable main

deb http://packages.siduction.org/extra unstable main
#deb-src http://packages.siduction.org/extra unstable main

deb http://packages.siduction.org/fixes unstable main
#deb-src http://packages.siduction.org/fixes unstable main

deb http://packages.siduction.org/kdenext unstable main

I have the same repos activ as you have.

I did a dist-upgrade just a few minutes before and evrything is fine here. But another thread also shows your problem:
http://forum.siduction.org/index.php?topic=5265.0.
Maybe there is a solution comming up.

What does
Code: [Select]
apt-mark showhold say? I see the not active experimental repo in your sources.list. Is there something installed out of this repo?

Downgrading kde will not be easy. You would have to deactivate kdenext and then downgrade the packages by installing every package with the right version appended on the package name. You would have to solve every dependency manually... Or, after deactivating kdenext, deinstalling one of the main packages which would remove komplete kde, then install again. I would NOT recommend this. Chances to have a completly broken system after are to good.

« Last Edit: 2015/01/04, 16:17:36 by ayla »
Kernel: 4.18.11-towo.1-siduction-amd64 x86_64
Desktop: KDE Plasma 5.13.5
(mostly) kept current siduction "18.3.0 Patience"
HP EliteBook 8570p; MoBo: HP model: 17A7 v: KBC Version 42.35
Dual core  i5-3320M (-MT-MCP-)
Intel 3. Gen Graphics (Ivybridge) Driver:i915/ intel
 Wifi Intel Centrino N6205

Offline freedom

  • User
  • Posts: 12
Re: KDE SC 4.14.3 available in kdenext
« Reply #12 on: 2015/01/04, 16:33:17 »

What does
Code: [Select]
apt-mark showhold say? I see the not active experimental repo in your sources.list. Is there something installed out of this repo?

It says nothing.  :)
And for the experimental... no, nothing is installed from it. Sources are at defaults except for added kdenext repo.

Well, since downgrade is so complicated, I guess I always could reinstall system.  :D
I know, I know it's not the right way but since this system I am having trouble with is on my netbook and just few days old
the fastest and easiest way is reinstall  8)
Thank you all for help

Offline freedom

  • User
  • Posts: 12
Re: KDE SC 4.14.3 available in kdenext
« Reply #13 on: 2015/01/04, 19:41:03 »
Problem solved
Well, aptitude helped me.  ::)
I was thinking... why not try another thing before reinstall.
And I started aptitude and kmail was uninstallable... one aptitude's solution was to remove kmail for install
and the other one was to remove libkontactinterface4a which was on the version 4.14.3 from kdenext repo
So I did that and next thing you know, kmail was installed and with libkontactinterface4a 4.14.2-2 from unstable repo
 ;D

Offline ayla

  • User
  • Posts: 1.700
Re: KDE SC 4.14.3 available in kdenext
« Reply #14 on: 2015/01/05, 07:10:52 »
Quote
and the other one was to remove libkontactinterface4a which was on the version 4.14.3 from kdenext repo

Strange:

Code: [Select]
root@neskaya:~# pol libkontactinterface4a
libkontactinterface4a:
  Installiert:           (keine)
  Installationskandidat: 4:4.14.3-siduction1.0.1
  Versionstabelle:
     4:4.14.3-siduction1.0.1 0
        500 http://packages.siduction.org/kdenext/ unstable/main amd64 Packages
     4:4.14.2-2+b1 0
        500 http://http.debian.net/debian/ unstable/main amd64 Packages
     4:4.14.2-2 0
        100 /var/lib/dpkg/status
root@neskaya:~# pol libkontactinterface4
libkontactinterface4:
  Installiert:           4:4.14.1-90r0
  Installationskandidat: 4:4.14.1-90r0
  Versionstabelle:
 *** 4:4.14.1-90r0 0
        500 http://packages.siduction.org/kdenext/ unstable/main amd64 Packages
        100 /var/lib/dpkg/status
libkontactinterface4a isn't installed on my system and was not pulled in on a d-u, but libkontactinterface4, for whatever reason. But: both seems to work for the moment, fine. :)
Kernel: 4.18.11-towo.1-siduction-amd64 x86_64
Desktop: KDE Plasma 5.13.5
(mostly) kept current siduction "18.3.0 Patience"
HP EliteBook 8570p; MoBo: HP model: 17A7 v: KBC Version 42.35
Dual core  i5-3320M (-MT-MCP-)
Intel 3. Gen Graphics (Ivybridge) Driver:i915/ intel
 Wifi Intel Centrino N6205